<template>
  <div>
      <h2>子组件</h2>
      <h3>{{msg}}</h3>
      <input type="text" v-model="message"/>
      <button @click="sendFather">传给父亲</button>
  </div>
</template>

<script>
export default {
  name: 'son',
  props: [
    'msg'
  ],
  data () {
    return {
      message: ''
    }
  },
  methods: {
    sendFather () {
      this.$emit('mess', this.message)
    }
  }
}
</script>

<style>

</style>
